Migrate mesa to llvm 10

Bug #1882901 reported by Timo Aaltonen on 2020-06-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libclc (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Focal
Undecided
Timo Aaltonen
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Focal
Undecided
Timo Aaltonen

Bug Description

[Impact]

Mesa should migrate to llvm 10. Focal didn't migrate to it before release, because there was a build issue on ppc64el, which has since been fixed.

[Test case]

Test AMD graphics and/or qemu desktop after installing migrated packages.

[Regression potential]

This has been in Debian for a month now without issues.

Timo Aaltonen (tjaalton) on 2020-06-10
description: updated
Changed in libclc (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libclc (Ubuntu Focal):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu Focal):
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) wrote :

this was already fixed in groovy by 20.0.7-1ubuntu1

Changed in mesa (Ubuntu):
status: New → Fix Released
Changed in libclc (Ubuntu):
status: New → Fix Released

Hello Timo, or anyone else affected,

Accepted libclc into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20190827-4ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libclc (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in libclc (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted libclc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20190827-1ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/20.0.8-0ubuntu1~20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Focal):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/20.0.8-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed

All autopkgtests for the newly accepted mesa (20.0.8-0ubuntu1~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

pymol/1.8.4.0+dfsg-1build1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Timo Aaltonen (tjaalton) wrote :

I've tested bionic/focal installation of a virtual-machine which uses llvmpipe dri driver, and things work fine

description: updated
tags: added: verification-done verification-done-bionic verification-done-focal
removed: verification-needed verification-needed-bionic verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20190827-4ubuntu0.1

---------------
libclc (0.2.0+git20190827-4ubuntu0.1) focal; urgency=medium

  * clang: Bump to 10. (LP: #1882901)

 -- Timo Aaltonen <email address hidden> Wed, 10 Jun 2020 11:32:24 +0300

Changed in libclc (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libclc has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 20.0.8-0ubuntu1~20.04.1

---------------
mesa (20.0.8-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal.
    - migrate to LLVM 10 (LP: #1882901)
    - fix zwp_linux_dmabuf_v1 on wayland (LP: #1868520)
  * control: Relax libclc-dev build-dep for the backport.

 -- Timo Aaltonen <email address hidden> Fri, 12 Jun 2020 09:05:27 +0300

Changed in mesa (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 20.0.8-0ubuntu1~18.04.1

---------------
mesa (20.0.8-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic.
  * control: Relax libclc-dev build-dep for bionic.
  * Revert-meson-Use-dependency.partial_dependency.patch: Don't use a special
    meson feature not in bionic.

mesa (20.0.8-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal.
    - migrate to LLVM 10 (LP: #1882901)
    - fix zwp_linux_dmabuf_v1 on wayland (LP: #1868520)
  * control: Relax libclc-dev build-dep for the backport.

mesa (20.0.8-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * fix-build-with-llvm-10.diff: Dropped, upstream.

mesa (20.0.7-1ubuntu1) groovy; urgency=medium

  * Merge from Debian.

mesa (20.0.7-1) unstable; urgency=medium

  * New upstream release.
  * src_glx_dri_common.h.diff: A new attempt to fix hurd ftbfs. (Closes:
    #960197)

mesa (20.0.6-3ubuntu1) groovy; urgency=medium

  * Merge from Debian.
  * control: Build with llvm-10.

mesa (20.0.6-3) unstable; urgency=medium

  * src_glx_dri_common.h.diff: Dropped, breaks the build.

mesa (20.0.6-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump libdrm-dev build-dep.

  [ Svante Signell ]
  * src_glx_dri_common.h.diff: Fix build on Hurd. (Closes: #959975)

  [ Frédéric Bonnard ]
  * Fix ppc64el FTBFS. (Closes: #959943)

mesa (20.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches, refresh llvm-10 build-fix.

mesa (20.0.4-2ubuntu1~18.04.2) bionic; urgency=medium

  * rules: Disable zink, it adds libvulkan1 dependency to libgl1-mesa-
    dri, and it's in universe.

mesa (20.0.4-2ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.5 HWE stack update. (LP: #1876882).
  * Install EGL/GL/GLES header files again, migration to libglvnd doesn't
    concern bionic.
  * control: Relax debhelper requirement.
  * patches: Refreshed.
  * patches: Revert more things for old libglvnd/meson.
  * control: Bump libdrm-dev build-dep.
  * rules: Don't prefer iris over i965 on Intel to avoid needing a newer
    libepoxy.

 -- Timo Aaltonen <email address hidden> Fri, 12 Jun 2020 14:51:05 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20190827-1ubuntu0.18.04.3

---------------
libclc (0.2.0+git20190827-1ubuntu0.18.04.3) bionic; urgency=medium

  * clang: Bump to 10. (LP: #1882901)

 -- Timo Aaltonen <email address hidden> Wed, 10 Jun 2020 11:29:07 +0300

Changed in libclc (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers